Package org.apache.commons.io.input

# Class MemoryMappedFileInputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<MemoryMappedFileInputStream,MemoryMappedFileInputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<MemoryMappedFileInputStream,MemoryMappedFileInputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<MemoryMappedFileInputStream,MemoryMappedFileInputStream.Builder>
org.apache.commons.io.input.MemoryMappedFileInputStream.Builder

All Implemented Interfaces:
  `IOSupplier<MemoryMappedFileInputStream>`

Enclosing class:
  `MemoryMappedFileInputStream`

public static class MemoryMappedFileInputStream.Builder extends AbstractStreamBuilder<MemoryMappedFileInputStream,MemoryMappedFileInputStream.Builder>
Builds a new `MemoryMappedFileInputStream` instance.

For example:

     MemoryMappedFileInputStream s = MemoryMappedFileInputStream.builder()
       .setPath(path)
       .setBufferSize(256 * 1024)
       .get();

Since:
  2.12.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new Builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MemoryMappedFileInputStream`
  `get()`
  Constructs a new instance.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new Builder.

- ## Method Details

  - ### get

    public MemoryMappedFileInputStream get() throws IOException
    Constructs a new instance.

    This builder use the aspects Path and buffer size.

    You must provide an origin that can be converted to a Path by this builder, otherwise, this call will throw an `UnsupportedOperationException`.

    Returns:
      a new instance.
    Throws:
      `UnsupportedOperationException` - if the origin cannot provide a Path.
      `IOException` - if an I/O error occurs.
    See Also:
      - `AbstractOrigin.getPath()`